%define        majver %(echo %version | cut -d. -f 1-2)

Name:          gutenprint
Version:       5.3.5
Release:       2mamba
Summary:       A suite of printer drivers that may be used with cups
Group:         System/Spooling
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://gimp-print.sourceforge.io/
Source:        http://download.sourceforge.net/sourceforge/gimp-print/gutenprint-%{version}.tar.xz
Patch0:        %{name}-5.2.3-parallel-build.patch
Patch1:        %{name}-5.2.3-LD_PRELOAD_fix.patch
Patch2:        %{name}-5.2.6-fix_includes.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libat-spi2-core-devel
BuildRequires: libcairo-devel
BuildRequires: libcups-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgtk2-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libpango-devel
BuildRequires: libperl
BuildRequires: libusb-devel
BuildRequires: libz-devel
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: libgimp-devel >= 1:3.0.2-1mamba
BuildRequires: libltdl-devel >= 1.5.22
BuildRequires: libkrb5-devel
BuildRequires: libopenssl-devel
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      cups-bjnp
Requires:      libcups >= 1.1.19
Provides:      gimp-print
Obsoletes:     gimp-print < 5.3.4

%description
Gutenprint is the new name for the former gimp-print tool.
Gutenprint is a package of high quality printer drivers for Linux, BSD, Solaris, IRIX, and other UNIX-alike operating systems.
In many cases, these drivers rival or exceed the OEM drivers in quality and functionality.
Our goal is to produce the highest possible output quality from all supported printers.
To that end, we have done extensive work on screening algorithms, color generation, and printer feature utilization.
We are continuing our work in all of these areas to produce ever higher quality results, particularly on the ubiquitous, inexpensive inkjet printers that are nonetheless capable of nearly photographic output quality.
Despite the name, printing support for The GIMP is only one small part of what Gutenprin does, and indeed, the Print plugin may eventually be removed from the core gutenprint distribution.
Gutenprint printer drivers can be used with all common UNIX print spooling systems, by means of either CUPS or Ghostscript.

%package -n lib%{name}
Summary:       Libraries provided  gutenprint
Group:         System/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}
Gutenprint is a package of high quality printer drivers for Linux, BSD, Solaris, IRIX, and other UNIX-alike operating systems.
Gutenprint is the new name for the former gimp-print tool.
This is the libraries package.

%package -n lib%{name}-devel
Summary:       Devel package for gutenprint
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      gimp-print-devel
Obsoletes:     gimp-print-devel < 5.3.4
Provides:      gutenprint-devel
Obsoletes:     gutenprint-devel < 5.3.4-2mamba

%description -n lib%{name}-devel
Gutenprint is a package of high quality printer drivers for Linux, BSD, Solaris, IRIX, and other UNIX-alike operating systems.
Gutenprint is the new name for the former gimp-print tool.
This is the develment package.

%prep
%setup -q
#-D -T
./autogen.sh

%build
#:<< _EOF
#aclocal -I m4
#automake

%configure \
   --with-foomatic3 \
   --with-cups \
   --enable-cups-level3-ppds \
   --enable-cups-ppds \
   --disable-translated-cups-ppds
#   --disable-static-genppd

%make -j1

%install
%makeinstall
#mv %{buildroot}%{_libdir}/gimp/2.0/plug-ins/print %{buildroot}%{_libdir}/gimp/2.0/plug-ins/gutenprint

%find_lang %{name}
rm -f %{buildroot}%{_datadir}/locale/*/gutenprint*.po

# not packaged files
rm -f %{buildroot}%{_bindir}/cups-calibrate
rm -f %{buildroot}%{_bindir}/escputil
rm -f %{buildroot}%{_datadir}/foomatic/kitload.log
rm -f %{buildroot}%{_sysconfdir}/cups/command.types
rm -f %{buildroot}%{_mandir}/man1/escputil.*
rm -f %{buildroot}%{_mandir}/man8/cups-calibrate.*

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
/usr/sbin/cups-genppdupdate 2>&1 >/dev/null
:


%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/testpattern
%{_sbindir}/cups-genppd.%{majver}
%{_sbindir}/cups-genppdupdate
%{_prefix}/lib/cups/backend/gutenprint5*+usb
%{_prefix}/lib/cups/driver/gutenprint.%{majver}
%{_prefix}/lib/cups/filter/commandtocanon
%{_prefix}/lib/cups/filter/commandtodyesub
%{_prefix}/lib/cups/filter/commandtoepson
%{_prefix}/lib/cups/filter/rastertogutenprint.%{majver}
%{_datadir}/cups/calibrate.ppm
%{_datadir}/cups/usb/net.sf.gimp-print.usb-quirks
%dir %{_datadir}/gutenprint
%{_datadir}/gutenprint/*
%{_datadir}/cups/model/gutenprint/%{majver}/C/*.ppd.gz
%{_mandir}/man8/*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libgutenprint*.so.*
#%{_libdir}/gimp/2.0/plug-ins/gutenprint
%dir %{_libdir}/gutenprint
%dir %{_libdir}/gutenprint/%{majver}
%{_libdir}/gutenprint/%{majver}/config.summary
%doc COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/gutenprint
%{_includedir}/gutenprint/*.h
%dir %{_includedir}/gutenprintui2
%{_includedir}/gutenprintui2/*.h
%{_libdir}/libgutenprint*.a
%{_libdir}/libgutenprint*.so
%{_libdir}/pkgconfig/gutenprint.pc
%{_libdir}/pkgconfig/gutenprintui2.pc

%changelog
* Sat Apr 05 2025 Automatic Build System <autodist@mambasoft.it> 5.3.5-2mamba
- rebuilt by autoport with build requirements: libgimp-devel>=1:3.0.2-1mamba

* Sun Mar 16 2025 Automatic Build System <autodist@openmamba.org> 5.3.5-1mamba
- automatic version update by autodist

* Thu Dec 29 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 5.3.4-2mamba
- move libraries to new libgutenprint subpackage

* Wed Dec 09 2020 Automatic Build System <autodist@mambasoft.it> 5.3.4-1mamba
- automatic version update by autodist

* Thu Nov 14 2019 Automatic Build System <autodist@mambasoft.it> 5.3.3-1mamba
- automatic version update by autodist

* Sun Aug 18 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 5.3.1-1mamba
- update to 5.3.1

* Wed Aug 14 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.15-1mamba
- update to 5.2.15

* Sun Apr 29 2018 Automatic Build System <autodist@mambasoft.it> 5.2.14-1mamba
- automatic version update by autodist

* Sun Aug 06 2017 Automatic Build System <autodist@mambasoft.it> 5.2.13-1mamba
- automatic version update by autodist

* Sat Apr 15 2017 Automatic Build System <autodist@mambasoft.it> 5.2.12-1mamba
- automatic version update by autodist

* Sun Jan 17 2016 Automatic Build System <autodist@mambasoft.it> 5.2.11-1mamba
- automatic version update by autodist

* Sat Jun 07 2014 Automatic Build System <autodist@mambasoft.it> 5.2.10-1mamba
- automatic version update by autodist

* Sat Sep 29 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.9-1mamba
- update to 5.2.9

* Thu Oct 27 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.7-2mamba
- added requirement for cups-bjnp

* Thu Sep 15 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.7-1mamba
- update to 5.2.7

* Thu Sep 15 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.6-3mamba
- gutenprint-devel: replice provide/obsolete for gimp-print with gimp-print-devel

* Thu Dec 23 2010 Davide Madrisan <davide.madrisan@gmail.com> 5.2.6-2mamba
- provide %{_libdir}/cups/filter/commandtocanon and commandtoepson
- run /sbin/ldconfig
- own %{_includedir}/gutenprint and %{_includedir}/gutenprintui2

* Fri Nov 12 2010 Automatic Build System <autodist@mambasoft.it> 5.2.6-1mamba
- automatic update by autodist

* Thu Apr 02 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.3-1mamba
- update to 5.2.3

* Wed Mar 26 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 5.1.7-1mamba
- update to 5.1.7
- generate single language ppds for drivers missing in foomatic (but not only, FIXME)

* Thu Feb 28 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0.2-1mamba
- update to 5.0.2

* Fri Apr 06 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0.0.99.1-1mamba
- update to version 5.0.0.99.1 by autospec
- resolved conflict with gimp

* Wed Feb 21 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0.0-3qilnx
- don't obsolete gimp-print

* Tue Feb 20 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0.0-2qilnx
- added libgutenprintui build

* Tue Feb 20 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0.0-1qilnx
- update to version 5.0.0 by autospec
- renamed to gutenprint and obsoleting gimp-print

* Mon Nov 21 2005 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 4.2.7-2qilnx
- specfile fixes: use %%find_lang, install/uninstall info pages

* Mon Sep 20 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.7-1qilnx
- update to version 4.2.7 by autospec

* Mon Jul 28 2003 Silvan Calarco <silvan.calarco@qinet.it> 4.2.5-1qilnx
- first build for gimp-print
